# Eval this to get syntax highlighting in XEmacs.
# (progn (python-mode) (setq font-lock-keywords (append '(("\\b\\(call\\|c?menu\\|\\$\\|python\\|image\\|character\\|scene\\|show\\|hide\\|include\\|jump\\)\\b" (0 font-lock-keyword-face)) ("\\b\\(label\\)\\s-+\\(\\w+\\):" (1 font-lock-keyword-face) (2 font-lock-function-name-face))) python-font-lock-keywords)) (font-lock-mode 1) (font-lock-fontify-buffer))

# The release version of this script.
$ version = 1

# Should be 0 when released.
$ debug = 1

# Include the escape menu.
include "escape_menu.rpy"

# Include the various game script parts.
include "name.rpy"
include "intro.rpy"
include "d1.rpy"
include "d2.rpy"
include "d3.rpy"

# Characters in the game -- we give them really short names, at least for
# dialogue.
character m
$ m.name = "?????"

character k
$ k.name = "Karen"

character mizuho

# The user.
character n

# Images used in the game.
image black : "images/black.png"
image house 1 : "images/house-1.png"
image house 2 : "images/house-2.png"
image house sunset : "images/house-sunset.png"
image outside 1 : "images/outside-1.png"

image outside school : "images/outside-school.png"
image classroom kids : "images/classroom-kids.png"
image classroom : "images/classroom.png"

image mizuho board : "images/mizuho-board.png"
image mizuho mad : "images/mizuho-mad.png"
image mizuho desk kind : "images/mizuho-desk-kind.png"
image mizuho desk embarassed : "images/mizuho-desk-embarassed.png"

image karen bighead : image("images/karen-bighead.png", alpha=66)

image karen bed normal : "vocab/karen-bed-normal.png"
image karen bed happy : "vocab/karen-bed-happy.png"
image karen bed sad : "vocab/karen-bed-sad.png"
image karen bed tough : "vocab/karen-bed-tough.png"

image karen pink back : "vocab/masked_karen-pink-back.png"
# image karen pink happy : "vocab/masked_karen-pink-happy.png"
image karen pink down : "vocab/masked_karen-pink-down.png"
image karen pink up : "vocab/masked_karen-pink-up.png"
image karen pink smile : "vocab/masked_karen-pink-smile.png"
image karen pink blush : "vocab/masked_karen-pink-blush.png"
image karencooking : "vocab/karen-cooking.png"

image miina bench happy : "images/miina-bench-happy.png"
image miina bench serious : "images/miina-bench-serious.png"
image miina bighead : image("images/miina-bighead.png", alpha=25)
image miina board : "images/miina-board.png"
image miina board bow : "images/miina-board-bow.png"

image miina green neutral : "vocab/masked_miina-green-neutral.png"
image miina green happy : "vocab/masked_miina-green-happy.png"
image miina green mad : "vocab/masked_miina-green-mad.png"

# This should end the declarations. The rest of the code is what executes
# when a game starts.

# Start a new game by prompting the user to enter his name.

$ rawfullname = ""
$ rawname = ""

# The names that are used by the user.
$ store(name=None, fullname=None)

# A temporary set that's used to distingush between choices in a given
# menu.
$ store(mset=None)

if debug:
    scene black

    cmenu:
        "Warp Menu\n"
        "name select":
            $ skip = 0

        "intro":
            $ skip = 1

        "d1":
            $ skip = 2

        "d2 (Miina)":
            $ skip = 3

        "d2 (Karen)":
            $ skip = 4

else:
    $ skip = 0

if skip <= 0:
    call enter_name
else:
    $ name = "Joe"
    $ fullname = "Joe User"
    $ n.name = name

if skip <= 1:
    call intro

if skip <= 2:
    call d1
else:
    $ promise = True

if skip <= 3:
    call d2
else:
    $ hungry = True
    $ gotnote = True

if skip <= 4:
    call d2_karen
else:
    $ gavenote = True

call d3
            
$ centered("This is the end of the script.")
