# (progn (python-mode) (setq font-lock-keywords (append '(("\\b\\(c?menu\\|\\$\\|python\\|image\\|character\\|scene\\|show\\|hide\\|include\\|jump\\)\\b" (0 font-lock-keyword-face)) ("\\b\\(label\\)\\s-+\\(\\w+\\):" (1 font-lock-keyword-face) (2 font-lock-function-name-face))) python-font-lock-keywords)) (font-lock-mode 1) (font-lock-fontify-buffer))


##############################################################################
# Introduction - In which we walk home from school, and play the introduction
# music.

label intro:

    scene classroom

    "My name is %(fullname)s. I'm a 16 year old student at Takisaki
    High School."

    "As far as I know, I'm an orphan. I was found abandoned as a
    child, and raised by a series of foster families. My only
    connection with my true family was a bank account that was found
    with my name on it."

    "There was enough money in it for me to get my own place, so I'm
    now living on my own while attending high school."

    "My grades are alright, but they could be better. What I learn, I
    mostly learn by reading books. I don't really need to pay
    attention in class."
    
    show mizuho mad
    
    mizuho "%(name)s! Are you paying attention?"
    
    "Except for times like now."
    
    menu foo:
        '"Yes, I was paying attention!"':
            jump intro_quiz
            
        '"No, I wasn\'t."':
            jump intro_no_answer

label intro_quiz:

    mizuho "If you were paying attention, then what were we talking
    about?"
    
    menu:
        "Edsger Dijkstra?":
            jump intro_bad_answer

        "Plasma?":
            jump intro_bad_answer

        "Cherry blossoms?":
            jump intro_good_answer

        "New York City?":
            jump intro_bad_answer

label intro_bad_answer:
    mizuho "That's not right... I don't even know where that came from."

label intro_no_answer:
    mizuho "%(name)s, please see me after class."

    mizuho "As I was saying, in Takato-machin, fifteen hundred cherry
    trees were planted during the Meiji period..."

    hide mizuho

    "Great, busted."

    jump intro_after_class

label intro_good_answer:

    mizuho "That's... right!"

    "Whew!"

    mizuho "But see me after class anyway."

    "..."

    hide mizuho

label intro_after_class:

    "The rest of the class passed without incident. When the bell
    rang, I got up and went to talk with my teacher."

    scene mizuho desk kind

    mizuho "%(name)s, you really need to start paying attention more.
    While it may not be hurting your grade too much, life is passing
    you by."

    n "Yes, Ma'am."

    mizuho "It's not just your schoolwork... You spend so much time in
    your own little world, you wouldn't know the girl for you even if
    she was right in front of you."

    n "Ma'am?"

    scene mizuho desk embarassed

    mizuho "Not me! I'm a married woman."

    scene mizuho desk kind

    mizuho "But you should pay more attention to the people around
    you. You'll never know what you'll find."

    n "Yes, Ma'am."

    mizuho "Anyway, I've graded Karen's papers. Could you bring them to her?"

    n "Sure."

    mizuho "Thank you."

label intro_walking:

    scene outside 1

    "With that, I packed up my things and started walking home."

    show karen bighead

    "Karen Onodera is my next-door neighbor."

    "Her family took me in when I was a foster child. They're the
    closest thing to a family that I have."

    "A few months ago, Karen was diagnosed with a rare disease."

    "The doctors did everything they could, but it wasn't enough."

    "She was given only a few months to live, and sent home to be
    with her family."

    "Even though she's not strong enough to leave her house, she still
    does her schoolwork."

    "Each week, I bring her papers into school, Mrs. Mizuho grades
    them, and I bring them back to her. She generally does better than
    I did."

    "She says that she wants to be caught up to the rest of the class
    when she gets better."

    $ music("onegai/2f-final.mp3")

    "But the doctors say that for her to get better, it would take a
    miracle."

    show miina bighead
    show karen bighead

    "And miracles don't happen around here."

    $ centered("Opening sequence goes here.")

    $ stop_music()

    return

